help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Anything.el for Windows


From: Tassilo Horn
Subject: Re: Anything.el for Windows
Date: Wed, 13 Feb 2008 08:55:40 +0100
User-agent: Gnus/5.110007 (No Gnus v0.7) Emacs/23.0.60 (gnu/linux)

Sébastien Vauban <address@hidden> writes:

Hi Sébastien,

>> Anyway, please paste your anything-sources, so that I can check if I
>> can reproduce the bug here.
>
> Yes, sure. Here it is (`C-h v' in GNU Emacs/Windows):

[...]

> Value: 
> (((name . "Locate")
>   (candidates lambda nil
>               (apply 'start-process "locate-process" nil
>                      (append anything-c-locate-options
>                              (list anything-pattern))))
>   (type . file)
>   (requires-pattern . 3)
>   (delayed))

[...]

>  ((name . "Info Pages")
>   (candidates lambda nil
>               (if anything-c-info-pages anything-c-info-pages
>                 (setq anything-c-info-pages
>                       (save-window-excursion
>                         (save-excursion
>                           (require 'info)
>                           (Info-find-node "dir" "top")
>                           (goto-char
>                            (point-min))
>                           (let
>                               ((info-topic-regexp "\\* +\\([^:]+: 
> ([^)]+)[^.]*\\)\\.")
>                                topics)
>                             (while
>                                 (re-search-forward info-topic-regexp nil t)
>                               (add-to-list 'topics
>                                            (match-string-no-properties 1)))
>                             (goto-char
>                              (point-min))
>                             (Info-exit)
>                             topics)))))) ;; <-- [1]
>   (action
>    ("Show with Info" lambda
>     (node-str)
>     (info
>      (replace-regexp-in-string "^[^:]+: " "" node-str))))
>   (requires-pattern . 2)))

Hah!  There's the bug!  The "Info Pages" source ends at [1], the
following action section and the requires-pattern stand alone.  Is it
possible that you use an outdated version of anything-config.el?  Please
get the current one from my git repository [1]or from emacswiki [2].

Bye,
Tassilo
__________
[1] git clone http://www.tsdh.de/repos/git/anything-config.git/
[2] http://www.emacswiki.org/cgi-bin/wiki/anything-config.el





reply via email to

[Prev in Thread] Current Thread [Next in Thread]